Bug 979621 - yum update failed and impossible to resume with yum load-transaction .. as indicated
yum update failed and impossible to resume with yum load-transaction .. as in...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i586 Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 17:59 EDT by von_mp
Modified: 2013-08-01 03:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:52:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description von_mp 2013-06-28 17:59:43 EDT
Description of problem:

yum update failed, then trial to resume the transaction with

yum load-transaction /tmp/yum_save_tx.2013-06-28.23-41.WD96J9.yumtx

,was impossible.



Lines of errors

error: rpmdbNextIterator: skipping h#    1692 Header V3 RSA/SHA256 Signature, key ID 1aca3465: BAD
ERROR with transaction check vs depsolve:
perl >= 0:5.008001 is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(:MODULE_COMPAT_5.14.4) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(Attribute::Handlers) >= 0.79 is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(Exporter) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(XSLoader) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(attributes) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(strict) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(vars) is needed by perl-Params-Validate-1.08-1.fc17.i686
perl(warnings) is needed by perl-Params-Validate-1.08-1.fc17.i686
/usr/bin/perl is needed by icoutils-0.31.0-1.fc17.i686
perl(File::Basename) is needed by icoutils-0.31.0-1.fc17.i686
perl(Getopt::Long) is needed by icoutils-0.31.0-1.fc17.i686
perl(Term::ReadLine) is needed by icoutils-0.31.0-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
error: rpmdb: damaged header #1832 retrieved -- skipping.
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
perl-Text-Autoformat-1.669002-4.fc17.noarch has missing requires of perl(Text::Reform)

Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2013-06-28.23-41.WD96J9.yumtx
Comment 1 Paul Howarth 2013-06-29 14:37:20 EDT
The error message implies that perl-Text-Autoformat was installed using "rpm --nodeps" or "rpm --force", as it is missing its dependency "perl(Text::Reform)".
You might try removing perl-Text-Autoformat or installing perl-Text-Reform before trying anything else.

The underlying cause of the problem looks like it may be an rpmdb problem, since there's a "damaged header".

The request that you raise a bug report says to set the component to "yum", not "perl-Text-Autoformat", so I'll change that for you.
Comment 2 Fedora End Of Life 2013-07-03 22:16:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Paul Nasrat 2013-07-12 10:39:31 EDT
Thank you for the bug report. This is not a bug in yum itself - if you have a corrupt RPM header you need to repair your rpmdb and then retry.

http://www.rpm.org/wiki/Docs/RpmRecovery
Comment 4 Fedora End Of Life 2013-08-01 03:52:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.